classification
Title: IDLE macOS: Some Command shortcuts do not work correctly
Type: Stage: resolved
Components: IDLE Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: IDLE: Revise macOS key bindings, make new one.
View: 18444
Assigned To: Nosy List: ned.deily, terry.reedy
Priority: normal Keywords:

Created on 2014-04-26 21:52 by ned.deily, last changed 2021-06-11 04:05 by terry.reedy. This issue is now closed.

Messages (3)
msg217219 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-04-26 21:52
With the current Cocoa Tk 8.5 (ActiveState 8.5.15), it appears that the IDLE Redo accelerator, Cmd-Shift-Z, has the same effect as the Undo accelerator, Cmd-Z.  This is probably related to the behavior and changes in Cocoa Tk noted in Issue11055.  With the older Apple-supplied Tk 8.5.9 on OS X 10.9, the Cmd-Shift-Z causes two Redos.  Cmd-Shift-Z works correctly with Carbon Tk 8.4.20 (as linked with the 32-bit-only python.org installers) and selecting the Redo menu item, rather than using a keyboard shortcut, appears to work correctly with all versions.
msg217220 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-04-26 21:57
Instigated by http://stackoverflow.com/questions/23316425/idle-redo-shortcut-vanished/
msg352811 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-09-19 18:13
Still an issue.  Several shortcuts do not work right, so I am generalizing the issue. 

1. Redo command accelerator acts as Undo.
2. Cmd-M minimizes instead of open module (#35104 has long discussion). 

I at least one other issue mentions a similar problem.  The default mac keybinding should all be tested to determine the scope of the problem.  Then a new keyset designed (#32761)

3. #18444 and #32761 both discuss ^A and beginning of line.
History
Date User Action Args
2021-06-11 04:05:42terry.reedysetstatus: open -> closed
superseder: IDLE: Revise macOS key bindings, make new one.
resolution: duplicate
stage: test needed -> resolved
2019-09-19 18:13:58terry.reedysettitle: IDLE Redo command accelerator acts as Undo with current OS X Cocoa Tk 8.5.15 -> IDLE macOS: Some Command shortcuts do not work correctly
messages: + msg352811
versions: + Python 3.9, - Python 2.7
2019-09-19 17:59:51terry.reedylinkissue35104 superseder
2019-02-24 08:50:55ned.deilysetassignee: ned.deily ->
versions: + Python 2.7, Python 3.8, - Python 3.6
2017-06-19 23:41:31terry.reedysetnosy: + terry.reedy
stage: test needed

components: + IDLE
versions: + Python 3.6, Python 3.7, - Python 2.7, Python 3.4, Python 3.5
2014-04-26 21:57:06ned.deilysetmessages: + msg217220
2014-04-26 21:52:44ned.deilycreate